import { DeviceBookingRequest } from './messageDefinition.js';
export declare enum callbackType {
    DeviceUpdate = 0,
    BookingUpdate = 1
}
export declare function handleCallback(type: callbackType, targetBooking: bigint, parameters: any): Promise<void>;
export declare function dispatchCallback(bookingID: bigint): Promise<void>;
export declare function reservateDevice(r: DeviceBookingRequest): Promise<void>;
export declare function freeDevice(internalreference: bigint): Promise<void>;
export declare function randomID(): string;
export declare function DeleteBooking(bookingID: bigint, targetStatus?: string, message?: string): Promise<void>;
//# sourceMappingURL=internal.d.ts.map